package edu.uoc.pfc.j2ee.jalonsod.ampa.beans;

import java.io.Serializable;

import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Id;

/**
 * File: AlumnoActividadPeriodo.java
 * Created: 2012-06-12
 * 
 * Contiene la inscripcin de un alumno a un periodo de una actividad.
 * Se utiliza como transfer object y como entity class para integracin con Hibernate.
 * 
 * @author Jos Alonso de Motta
 */
@Entity
@Table (name = "AlumnoActividadPeriodo")
public class AlumnoActividadPeriodo implements Serializable {
	private static final long serialVersionUID = 1L;
	private int idAlumno;
	private int idActividad;
	private int idPeriodo;

	/**
	 * Constructor vaco para Hibernate.
	 */
	public AlumnoActividadPeriodo() {
	}

	/**
	 * Crea una nueva inscripcin de un alumno a un periodo de una actividad.
	 * 
	 * @param idAlumno    Identificador del alumno.
	 * @param idActividad Identificador de la actividad.
	 * @param idPeriodo   Identificador del periodo.
	 */
	public AlumnoActividadPeriodo(int idAlumno, int idActividad, int idPeriodo) {
		super();
		this.idAlumno = idAlumno;
		this.idActividad = idActividad;
		this.idPeriodo = idPeriodo;
	}

	// getters & setters
	@Id
	public int getIdAlumno() {
		return idAlumno;
	}

	public void setIdAlumno(int idAlumno) {
		this.idAlumno = idAlumno;
	}

	@Id
	public int getIdActividad() {
		return idActividad;
	}

	public void setIdActividad(int idActividad) {
		this.idActividad = idActividad;
	}

	@Id
	public int getIdPeriodo() {
		return idPeriodo;
	}

	public void setIdPeriodo(int idPeriodo) {
		this.idPeriodo = idPeriodo;
	}
}