package edu.uoc.pfc.j2ee.jalonsod.ampa.beans;

import java.io.Serializable;

import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Id;

/**
 * File: PadreActividadPeriodo.java
 * Created: 2012-06-12
 * 
 * Contiene la inscripcin de un padre/madre/tutor a un periodo de una actividad.
 * Se utiliza como transfer object y como entity class para integracin con Hibernate.
 * 
 * @author Jos Alonso de Motta
 */
@Entity
@Table (name = "PadreActividadPeriodo")
public class PadreActividadPeriodo implements Serializable{
	private static final long serialVersionUID = 1L;
	private int idPadre;
	private int idActividad;
	private int idPeriodo;

	/**
	 * Constructor vaco para Hibernate.
	 */
	public PadreActividadPeriodo() {
	}

	/**
	 * Crea una nueva inscripcin de un padre/madre/tutor a un periodo de una actividad.
	 * 
	 * @param idPadre     Identificador del padre/madre/tutor.
	 * @param idActividad Identificador de la actividad.
	 * @param idPeriodo   Identificador del periodo.
	 */
	public PadreActividadPeriodo(int idPadre, int idActividad, int idPeriodo) {
		super();
		this.idPadre = idPadre;
		this.idActividad = idActividad;
		this.idPeriodo = idPeriodo;
	}

	// getters & setters
	@Id
	public int getIdPadre() {
		return idPadre;
	}

	public void setIdPadre(int idPadre) {
		this.idPadre = idPadre;
	}

	@Id
	public int getIdActividad() {
		return idActividad;
	}

	public void setIdActividad(int idActividad) {
		this.idActividad = idActividad;
	}

	@Id
	public int getIdPeriodo() {
		return idPeriodo;
	}

	public void setIdPeriodo(int idPeriodo) {
		this.idPeriodo = idPeriodo;
	}
}