package edu.uoc.pfc.j2ee.jalonsod.ampa.business.BO;

import org.hibernate.Session;

import edu.uoc.pfc.j2ee.jalonsod.ampa.integration.HibernatePersistenceHelper;

/**
 * File: BusinessObject.java
 * Created: 2012-05-22
 * 
 * Objeto de negocio base con soporte para conexin a Hibernate.
 * Los objetos de negocio de aplicacin (business objects) extienden esta clase.
 * 
 * @author Jos Alonso de Motta
 */
public abstract class BusinessObject {
	protected Session session;  

	/**
	 * Constructor por defecto para los objetos de negocio. Obtiene la sesin del motor de
	 * persistencia. Si estuviera cerrada, abre una nueva.
	 */
	public BusinessObject(){
		session = HibernatePersistenceHelper.getCurrentSession();
		if(!session.isOpen()){
			session = HibernatePersistenceHelper.openSession();
		}
	}
}
