package edu.uoc.pfc.j2ee.jalonsod.mtp.config;

import java.io.Serializable;

/**
 * File: Role.java
 * Created: 2012-04-22
 * 
 * Role element from configuration
 * A session must have granted one of the model assigned roles to access it.
 * 
 * @author Jos Alonso de Motta
 */
public class Role implements Serializable {
	private static final long serialVersionUID = 1L;
	private String name;
	private boolean defaultRole;
	
	public Role(String name, boolean defaultRole) throws ConfiguratorException {
		if(name==null||name.equals("")) throw new ConfiguratorException("Role element has null or empty name");
		setName(name);
		setDefaultRole(defaultRole);
	}
	
	// getters & setters
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public boolean getDefaultRole() {
		return defaultRole;
	}
	public void setDefaultRole(boolean defaultRole) {
		this.defaultRole = defaultRole;
	}

	@Override
	public String toString() {
		return "Role [name=" + name
				+ ", defaultRole=" + defaultRole
				+ "]";
	}
}
