package edu.uoc.pfc.j2ee.jalonsod.mtp.helper;

import edu.uoc.pfc.j2ee.jalonsod.mtp.MTPException;
import edu.uoc.pfc.j2ee.jalonsod.mtp.request.RequestDataPrivate;

/**
 * File: ModelMapper.java
 * Created: 2012-04-28
 * 
 * Interface of model mapper. User supplied model mappers must implement this interface.
 * 
 * @author Jos Alonso de Motta
 */
public interface ModelMapper {
	/**
	 * Sets into the requestData the model metadata object [setModel()] and creates the instance of
	 * the application model class [setModelInstance()].
	 * After the execution of this method, the model and the modelInstance attributes of the
	 * requestData object have been set.
	 * 
	 * @param requestData the MTP requestData of the current request.
	 * @throws MTPException throws when there is a problem setting the model or creating the model
	 *                      instance.
	 */
	public void setRequestModel(RequestDataPrivate requestData) throws MTPException;
}
