package edu.uoc.pfc.j2ee.jalonsod.mtp.request.taglib;

import javax.servlet.jsp.tagext.TagSupport;

import edu.uoc.pfc.j2ee.jalonsod.mtp.helper.ContextFactory;
import edu.uoc.pfc.j2ee.jalonsod.mtp.request.RequestData;

/**
 * File: DeleteSessionAttribute.java
 * Created: 2012-05-17
 * 
 * Support class for deleteSessionAttribute tag. Deletes an attribute stored in the session context.
 * 
 * @author Jos Alonso de Motta
 */
public class DeleteSessionAttribute extends TagSupport {
	private static final long serialVersionUID = 1L;
	
	private String name;

	@Override
	public int doStartTag() {
		RequestData requestData = ContextFactory.getRequestData(pageContext.getRequest());
		if(requestData!=null){
			requestData.deleteSessionAttribute(name);
		}
		return SKIP_BODY;
	}
	
	@Override
	public int doEndTag(){
		return EVAL_PAGE;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

}
