package edu.uoc.pfc.j2ee.jalonsod.mtp.request.taglib;

import javax.servlet.jsp.JspException;
import javax.servlet.jsp.JspTagException;
import javax.servlet.jsp.tagext.TagSupport;

import edu.uoc.pfc.j2ee.jalonsod.mtp.helper.ContextFactory;
import edu.uoc.pfc.j2ee.jalonsod.mtp.request.RequestData;

/**
 * File: GetRequestParameter.java
 * Created: 2012-05-14
 * 
 * Support class for getRequestParameter tag. Writes out a parameter value from the request context.
 * 
 * @author Jos Alonso de Motta
 */
public class GetRequestParameter extends TagSupport {
	private static final long serialVersionUID = 1L;
	
	private String name;

	@Override
	public int doStartTag() throws JspException{
		try {
			RequestData requestData = ContextFactory.getRequestData(pageContext.getRequest());
			if(requestData!=null){
				pageContext.getOut().print(requestData.getRequestParameter(name));
			}
		} catch (Exception e) {
			throw new JspTagException("doStartTag: " + e.getMessage(), e);
		}
		return SKIP_BODY;
	}
	
	@Override
	public int doEndTag(){
		return EVAL_PAGE;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
}
