package edu.uoc.pfc.j2ee.jalonsod.mtp.request.taglib;

import javax.servlet.jsp.JspException;
import javax.servlet.jsp.JspTagException;
import javax.servlet.jsp.tagext.TagSupport;

import edu.uoc.pfc.j2ee.jalonsod.mtp.MTPUtils;
import edu.uoc.pfc.j2ee.jalonsod.mtp.helper.ContextFactory;
import edu.uoc.pfc.j2ee.jalonsod.mtp.request.RequestData;

/**
 * File: GetUserLanguage.java
 * Created: 2012-05-15
 * 
 * Support class for getUserLanguage tag. Gets a property of the language inferred to the request
 * session and stores it in the page context.
 * 
 * @author Jos Alonso de Motta
 */
public class GetUserLanguage extends TagSupport {
	private static final long serialVersionUID = 1L;
	
	private String property;

	@Override
	public int doStartTag() throws JspException{
		try {
			RequestData requestData = ContextFactory.getRequestData(pageContext.getRequest());
			if(requestData!=null){
				pageContext.getOut().print(MTPUtils.getBeanAttrib(requestData.getUserLanguage(), property));
			}
		} catch (Exception e) {
			throw new JspTagException("doStartTag: " + e.getMessage(), e);
		}
		return SKIP_BODY;
	}
	
	@Override
	public int doEndTag(){
		return EVAL_PAGE;
	}

	public String getProperty() {
		return property;
	}

	public void setProperty(String property) {
		this.property = property;
	}
}
