package edu.uoc.pfc.j2ee.jalonsod.mtp.request.taglib;

import javax.servlet.jsp.JspException;
import javax.servlet.jsp.JspTagException;
import javax.servlet.jsp.tagext.TagSupport;

import edu.uoc.pfc.j2ee.jalonsod.mtp.helper.ContextFactory;
import edu.uoc.pfc.j2ee.jalonsod.mtp.request.RequestData;

/**
 * File: IsAuthorized.java
 * Created: 2012-05-17
 * 
 * Support class for isAuthorized tag. Writes out the authorization status of the request (true/false).
 * 
 * @author Jos Alonso de Motta
 */
public class IsAuthorized extends TagSupport {
	private static final long serialVersionUID = 1L;

	@Override
	public int doStartTag() throws JspException{
		try {
			RequestData requestData = ContextFactory.getRequestData(pageContext.getRequest());
			if(requestData!=null){
				pageContext.getOut().print(requestData.isAuthorized());
			}
		} catch (Exception e) {
			throw new JspTagException("doStartTag: " + e.getMessage(), e);
		}
		return SKIP_BODY;
	}
	
	@Override
	public int doEndTag(){
		return EVAL_PAGE;
	}
}
