<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
	pageEncoding="ISO-8859-1"%>
<%@ taglib uri="http://jalonsod.edu.uoc/pfc/j2ee/mtp/MTPTags.tld"
	prefix="mtp"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
<title><mtp:msg key="enrollments.signup.title" /></title>
<link type="text/css" href="MyStyles.css" rel="stylesheet">
</head>
<body>
	<h1>
		<a href="Controller?MODEL=HOME"><mtp:msg key="global.site" /></a>
	</h1>
	<h2>
		<mtp:msg key="enrollments.signup.title" />
	</h2>
	<form method="post" action="Controller?MODEL=INSCRIPCIONALTACONFIRM"
		name="FormAlta">
		<mtp:getModelInstance>
			<input type="hidden" name="idActividad"
				value="${requestModelInstance.actividad.idActividad }">
			<input type="hidden" name="numPadres"
				value="${requestModelInstance.numPadres }">
			<input type="hidden" name="numAlumnos"
				value="${requestModelInstance.numAlumnos }">
			<table class="cl_centeredTable" border="0" cellpadding="5"
				cellspacing="5">
				<tbody>
					<mtp:getResult>
						<c:if test="${requestResult.name == 'ERROR'}">
							<tr class="cl_error">
								<td colspan="2"><mtp:msg key="enrollments.signup.formError" /></td>
							</tr>
						</c:if>
					</mtp:getResult>
					<tr>
						<td class="cl_label"><mtp:msg
								key="enrollments.singup.activity" />
							${requestModelInstance.actividad.nombre }</td>
					</tr>
					<tr>
						<td>
							<table class="cl_centeredTable" border="0" cellpadding="5"
								cellspacing="5">
								<tbody>
									<tr>
										<td colspan="5" class="cl_labelCentered"><mtp:msg
												key="enrollments.signup.activePeriods" /></td>
									</tr>
									<c:forEach var="periodo"
										items="${requestModelInstance.periodos }"
										varStatus="contadorperiodos">
										<c:choose>
											<c:when test="${contadorperiodos.count % 2 == 0}">
												<c:set var="estiloFila" scope="page" value="cl_filaPar" />
											</c:when>
											<c:otherwise>
												<c:set var="estiloFila" scope="page" value="cl_filaImpar" />
											</c:otherwise>
										</c:choose>
										<tr class="${estiloFila }">
											<td class="cl_dataLeft"><fmt:formatDate
													value="${periodo.inicio }" pattern="dd/MM/yyyy" /> - <fmt:formatDate
													value="${periodo.fin }" pattern="dd/MM/yyyy" />. <c:choose>
													<c:when test="${periodo.cuota!=null}">${periodo.cuota }</c:when>
													<c:otherwise>${requestModelInstance.actividad.cuotaEstandar }</c:otherwise>
												</c:choose></td>
										</tr>
									</c:forEach>
								</tbody>
							</table>

						</td>
					</tr>
					<c:if test="${requestModelInstance.actividad.paraPadres=='S' }">
						<tr>
							<td>
								<table class="cl_centeredTable" border="0" cellpadding="5"
									cellspacing="5">
									<tbody>
										<tr>
											<td colspan="5" class="cl_labelCentered"><mtp:msg
													key="enrollments.signup.parent" /></td>
										</tr>
										<c:forEach var="padre" items="${requestModelInstance.padres }"
											varStatus="contadorpadres">
											<c:choose>
												<c:when test="${contadorpadres.count % 2 == 0}">
													<c:set var="estiloFila" scope="page" value="cl_filaPar" />
												</c:when>
												<c:otherwise>
													<c:set var="estiloFila" scope="page" value="cl_filaImpar" />
												</c:otherwise>
											</c:choose>
											<tr class="${estiloFila }">
												<td class="cl_dataLeft"><input type="checkbox"
													name="idPadre${contadorpadres.count}"
													value="${padre.idPadre }">${padre.nombre }
													${padre.apellidos }</td>
											</tr>
										</c:forEach>
									</tbody>
								</table>
							</td>
						</tr>
					</c:if>
					<c:if test="${requestModelInstance.actividad.paraAlumnos=='S' }">
						<tr>
							<td>
								<table class="cl_centeredTable" border="0" cellpadding="5"
									cellspacing="5">
									<tbody>
										<tr>
											<td colspan="5" class="cl_labelCentered"><mtp:msg
													key="enrollments.signup.student" /></td>
										</tr>
										<c:forEach var="alumno"
											items="${requestModelInstance.alumnos }"
											varStatus="contadoralumnos">
											<c:choose>
												<c:when test="${contadoralumnos.count % 2 == 0}">
													<c:set var="estiloFila" scope="page" value="cl_filaPar" />
												</c:when>
												<c:otherwise>
													<c:set var="estiloFila" scope="page" value="cl_filaImpar" />
												</c:otherwise>
											</c:choose>
											<tr class="${estiloFila }">
												<td class="cl_dataLeft"><input type="checkbox"
													name="idAlumno${contadoralumnos.count}"
													value="${alumno.idAlumno }">${alumno.nombre }
													${alumno.apellidos }</td>
											</tr>
										</c:forEach>
									</tbody>
								</table>
							</td>
						</tr>
					</c:if>
					<tr>
						<td><button class="cl_button" tabindex="38" name="Submit"
								value="Submit">
								<mtp:msg key="enrollments.signup.signupButton" />
							</button>
							<button class="cl_button" tabindex="38" name="Submit"
								value="Cancel">
								<mtp:msg key="enrollments.signup.notNowButton" />
							</button></td>
					</tr>
				</tbody>
			</table>
		</mtp:getModelInstance>
	</form>
</body>
</html>