<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
	pageEncoding="ISO-8859-1"%>
<%@ taglib uri="http://jalonsod.edu.uoc/pfc/j2ee/mtp/MTPTags.tld"
	prefix="mtp"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
<title><mtp:msg key="enrollments.list.title" /></title>
<link type="text/css" href="MyStyles.css" rel="stylesheet">
</head>
<body>
	<h1>
		<a href="Controller?MODEL=HOME"><mtp:msg key="global.site" /></a>
	</h1>
	<mtp:getModelInstance>
		<c:if test="${requestModelInstance.operacion=='DELETE' }">
			<c:choose>
				<c:when test="${!requestModelInstance.resultado }">
					<div class="cl_error">
						<mtp:msg key="enrollments.list.deleteError" />
					</div>
				</c:when>
				<c:otherwise>
					<div class="cl_ok">
						<mtp:msg key="enrollments.list.deleteOk" />
					</div>
				</c:otherwise>
			</c:choose>
		</c:if>
		<c:if test="${requestModelInstance.operacion=='INSERT' }">
			<c:choose>
				<c:when test="${!requestModelInstance.resultado }">
					<div class="cl_error">
						<mtp:msg key="enrollments.list.signupError" />
					</div>
				</c:when>
				<c:otherwise>
					<div class="cl_ok">
						<mtp:msg key="enrollments.list.signupOk" />
					</div>
				</c:otherwise>
			</c:choose>
		</c:if>
	</mtp:getModelInstance>
	<h2>
		<mtp:msg key="enrollments.list.studentCurrentActivities" />
	</h2>
	<table class="cl_centeredTable" border="0" cellpadding="5"
		cellspacing="5">
		<tbody>
			<tr>
				<td class="cl_labelLeft"><mtp:msg
						key="enrollments.list.student" /></td>
				<td class="cl_labelLeft"><mtp:msg
						key="enrollments.list.activity" /></td>
				<td class="cl_labelLeft"><mtp:msg
						key="enrollments.list.verifiedQuestion" /></td>
				<td class="cl_labelLeft"><mtp:msg
						key="enrollments.list.deleteQuestion" /></td>
			</tr>
			<mtp:getModelInstance>
				<c:forEach var="inscripcion"
					items="${requestModelInstance.inscripcionesAlumnos}"
					varStatus="contador">
					<c:choose>
						<c:when test="${contador.count % 2 == 0}">
							<c:set var="estiloFila" scope="page" value="cl_filaPar" />
						</c:when>
						<c:otherwise>
							<c:set var="estiloFila" scope="page" value="cl_filaImpar" />
						</c:otherwise>
					</c:choose>
					<tr class="${estiloFila }">
						<td class="cl_dataLeft">${inscripcion.alumno.nombre }
							${inscripcion.alumno.apellidos }</td>
						<td class="cl_dataLeft">${inscripcion.actividad.nombre }</td>
						<td class="cl_dataCenter"><c:if
								test="${inscripcion.confirmado=='S' }">
								<mtp:msg key="global.yes" />
							</c:if> <c:if test="${inscripcion.confirmado=='N' }">
								<mtp:msg key="global.no" />
							</c:if></td>
						<td class="cl_dataCenter"><a
							href="Controller?MODEL=INSCRIPCIONBAJA&idAlumno=${inscripcion.idAlumno }&idActividad=${inscripcion.idActividad}"
							onclick="return confirm('<mtp:msg key="enrollments.list.deleteEnrollmentConfirmation"/>')">
								<img alt="<mtp:msg key="enrollments.list.deleteEnrollment"/>"
								src="cross.png">
						</a></td>
					</tr>
				</c:forEach>
			</mtp:getModelInstance>
		</tbody>
	</table>

	<br>
	<hr class="cl_hr">
	<br>
	<h2>
		<mtp:msg key="enrollments.list.parentCurrentActivities" />
	</h2>
	<table class="cl_centeredTable" border="0" cellpadding="5"
		cellspacing="5">
		<tbody>
			<tr>
				<td class="cl_labelLeft"><mtp:msg key="enrollments.list.parent" /></td>
				<td class="cl_labelLeft"><mtp:msg
						key="enrollments.list.activity" /></td>
				<td class="cl_labelLeft"><mtp:msg
						key="enrollments.list.verifiedQuestion" /></td>
				<td class="cl_labelLeft"><mtp:msg
						key="enrollments.list.deleteQuestion" /></td>
			</tr>
			<mtp:getModelInstance>
				<c:forEach var="inscripcion"
					items="${requestModelInstance.inscripcionesPadres}"
					varStatus="contador">
					<c:choose>
						<c:when test="${contador.count % 2 == 0}">
							<c:set var="estiloFila" scope="page" value="cl_filaPar" />
						</c:when>
						<c:otherwise>
							<c:set var="estiloFila" scope="page" value="cl_filaImpar" />
						</c:otherwise>
					</c:choose>
					<tr class="${estiloFila }">
						<td class="cl_dataLeft">${inscripcion.padre.nombre }
							${inscripcion.padre.apellidos }</td>
						<td class="cl_dataLeft">${inscripcion.actividad.nombre }</td>
						<td class="cl_dataCenter"><c:if
								test="${inscripcion.confirmado=='S' }">
								<mtp:msg key="global.yes" />
							</c:if> <c:if test="${inscripcion.confirmado=='N' }">
								<mtp:msg key="global.no" />
							</c:if></td>
						<td class="cl_dataCenter"><a
							href="Controller?MODEL=INSCRIPCIONBAJA&idPadre=${inscripcion.idPadre }&idActividad=${inscripcion.idActividad}"
							onclick="return confirm('<mtp:msg key="enrollments.list.deleteEnrollmentConfirmation"/>')">
								<img alt="<mtp:msg key="enrollments.list.deleteEnrollment"/>"
								src="cross.png">
						</a></td>
					</tr>
				</c:forEach>
			</mtp:getModelInstance>
		</tbody>
	</table>
	<br>
	<hr class="cl_hr">
	<br>

	<h2>
		<mtp:msg key="enrollments.list.signupTitle" />
	</h2>
	<form method="post" action="Controller?MODEL=INSCRIPCIONALTAFORM"
		name="InscripcionAlta">
		<table class="cl_centeredTable" border="0" cellpadding="5"
			cellspacing="5">
			<tr>
				<td><label class="cl_label"><mtp:msg
							key="enrollments.list.activity" /></label></td>
				<td><select name="idActividad" class="cl_inputRequired">
						<mtp:getModelInstance>
							<c:forEach var="actividad"
								items="${requestModelInstance.actividadesActivas}">
								<option value="${actividad.idActividad }">${actividad.nombre
									}</option>
							</c:forEach>
						</mtp:getModelInstance>
				</select></td>
				<td><button class="cl_button" name="Submit">
						<mtp:msg key="enrollments.list.signupButton" />
					</button></td>
			</tr>
		</table>
	</form>
</body>
</html>