<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
	pageEncoding="ISO-8859-1"%>
<%@ taglib uri="http://jalonsod.edu.uoc/pfc/j2ee/mtp/MTPTags.tld"
	prefix="mtp"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
<title><mtp:msg key="membersList.title" /></title>
<link type="text/css" href="MyStyles.css" rel="stylesheet">
</head>
<body>
	<h1>
		<a href="Controller?MODEL=HOME"><mtp:msg key="global.site" /></a>
	</h1>
	<h2>
		<mtp:msg key="membersList.title" />
	</h2>
	<mtp:getModelInstance>
		<c:if test="${requestModelInstance.operacion=='DELETE' }">
			<c:choose>
				<c:when test="${!requestModelInstance.resultado }">
					<div class="cl_error">
						<mtp:msg key="membersList.deleteError" />
					</div>
				</c:when>
				<c:otherwise>
					<div class="cl_ok">
						<mtp:msg key="membersList.deleteOk" />
					</div>
				</c:otherwise>
			</c:choose>
		</c:if>
		<table class="cl_centeredTable" border="0" cellpadding="5"
			cellspacing="5">
			<tbody>
				<tr>
					<td class="cl_labelLeft"><mtp:msg
							key="membersList.unsubscribeColumn" /></td>
					<td class="cl_labelLeft"><mtp:msg key="membersList.userColumn" /></td>
					<td class="cl_labelLeft"><mtp:msg
							key="membersList.parentsColumn" /></td>
					<td class="cl_labelLeft"><mtp:msg
							key="membersList.studentsColumn" /></td>
					<td class="cl_labelLeft"><mtp:msg
							key="membersList.validColumn" /></td>
				</tr>
				<tr>
				</tr>
				<c:forEach var="socio" items="${requestModelInstance.socios}"
					varStatus="contadorSocio">
					<c:choose>
						<c:when test="${contadorSocio.count % 2 == 0}">
							<c:set var="estiloFila" scope="page" value="cl_filaPar" />
						</c:when>
						<c:otherwise>
							<c:set var="estiloFila" scope="page" value="cl_filaImpar" />
						</c:otherwise>
					</c:choose>
					<tr class="${estiloFila }">
						<td class="cl_dataCenter"><a
							href="Controller?MODEL=SOCIOBAJAADMIN&usuario=${socio.usuario }"
							onclick="return confirm('<mtp:msg key="membersList.unsubscribeConfirmation"/>')"><img
								alt="<mtp:msg key="membersList.unsubscribeTooltip"/>"
								src="cross.png"></a></td>
						<td class="cl_dataLeft"><a
							href="Controller?MODEL=SOCIOVERFICHA&usuario=${socio.usuario }">${socio.usuario
								}</a></td>
						<td>
							<table class="cl_centeredTable" border="0" cellpadding="5"
								cellspacing="5">
								<tbody>
									<c:forEach var="padre" items="${socio.padres }"
										varStatus="contadorPadre">
										<c:choose>
											<c:when test="${contadorPadre.count % 2 == 0}">
												<c:set var="estiloFilaPadres" scope="page"
													value="cl_filaPar" />
											</c:when>
											<c:otherwise>
												<c:set var="estiloFilaPadres" scope="page"
													value="cl_filaImpar" />
											</c:otherwise>
										</c:choose>
										<tr class="${estiloFilaPadres }">
											<td class="cl_dataLeft">${padre.nombre }
												${padre.apellidos} ${padre.telefonos }</td>
										</tr>
									</c:forEach>
								</tbody>
							</table>
						</td>
						<td>
							<table class="cl_centeredTable" border="0" cellpadding="5"
								cellspacing="5">
								<tbody>
									<c:forEach var="alumno" items="${socio.alumnos }"
										varStatus="contadorAlumno">
										<c:choose>
											<c:when test="${contadorAlumno.count % 2 == 0}">
												<c:set var="estiloFilaAlumnos" scope="page"
													value="cl_filaPar" />
											</c:when>
											<c:otherwise>
												<c:set var="estiloFilaAlumnos" scope="page"
													value="cl_filaImpar" />
											</c:otherwise>
										</c:choose>
										<tr class="${estiloFilaAlumnos }">
											<td class="cl_dataLeft">${alumno.nombre }
												${alumno.apellidos} ${alumno.curso }</td>
										</tr>
									</c:forEach>
								</tbody>
							</table>
						</td>
						<td class="cl_dataCenter">
			<c:choose>
				<c:when test="${socio.valido=='S' }"><mtp:msg key="global.yes"/></c:when>
				<c:otherwise><mtp:msg key="global.no"/></c:otherwise>
			</c:choose>
						</td>
					</tr>
				</c:forEach>
			</tbody>
		</table>
	</mtp:getModelInstance>
</body>
</html>