<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
	pageEncoding="ISO-8859-1"%>
<%@ taglib uri="http://jalonsod.edu.uoc/pfc/j2ee/mtp/MTPTags.tld"
	prefix="mtp"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
<title><mtp:msg key="signupPendingList.title" /></title>
<link type="text/css" href="MyStyles.css" rel="stylesheet">
</head>
<body>
	<h1>
		<a href="Controller?MODEL=HOME"><mtp:msg key="global.site" /></a>
	</h1>
	<h2>
		<mtp:msg key="signupPendingList.title" />
	</h2>
	<mtp:getModelInstance>
		<c:if test="${requestModelInstance.operacion=='INSERT' }">
			<c:choose>
				<c:when test="${!requestModelInstance.resultado }">
					<div class="cl_error">
						<mtp:msg key="signupPendingList.validateError" />
					</div>
				</c:when>
				<c:otherwise>
					<div class="cl_ok">
						<mtp:msg key="signupPendingList.validateOk" />
					</div>
				</c:otherwise>
			</c:choose>
		</c:if>
		<c:if test="${requestModelInstance.operacion=='DELETE' }">
			<c:choose>
				<c:when test="${!requestModelInstance.resultado }">
					<div class="cl_error">
						<mtp:msg key="signupPendingList.cancelError" />
					</div>
				</c:when>
				<c:otherwise>
					<div class="cl_ok">
						<mtp:msg key="signupPendingList.cancelOk" />
					</div>
				</c:otherwise>
			</c:choose>
		</c:if>
		<table class="cl_centeredTable" border="0" cellpadding="5"
			cellspacing="5">
			<tbody>
				<tr>
					<td class="cl_labelLeft"><mtp:msg
							key="signupPendingList.validateColumn" /></td>
					<td class="cl_labelLeft"><mtp:msg
							key="signupPendingList.cancelColumn" /></td>
					<td class="cl_labelLeft"><mtp:msg
							key="signupPendingList.signupRequestDate" /></td>
					<td class="cl_labelLeft"><mtp:msg
							key="signupPendingList.userColumn" /></td>
					<td class="cl_labelLeft"><mtp:msg
							key="signupPendingList.parentsColumn" /></td>
					<td class="cl_labelLeft"><mtp:msg
							key="signupPendingList.studentsColumn" /></td>
				</tr>
				<tr>
				</tr>
				<c:forEach var="solicitudSocio"
					items="${requestModelInstance.solicitudesSocio}"
					varStatus="contadorSocio">
					<c:choose>
						<c:when test="${contadorSocio.count % 2 == 0}">
							<c:set var="estiloFila" scope="page" value="cl_filaPar" />
						</c:when>
						<c:otherwise>
							<c:set var="estiloFila" scope="page" value="cl_filaImpar" />
						</c:otherwise>
					</c:choose>
					<tr class="${estiloFila }">
						<td class="cl_dataCenter"><a
							href="Controller?MODEL=SOLICITUDALTAVALIDAR&usuario=${solicitudSocio.usuario }">
								<img
								alt="<mtp:msg key="signupPendingList.signupButtonTooltip"/>"
								src="tick.png">
						</a></td>
						<td class="cl_dataCenter"><a
							href="Controller?MODEL=SOLICITUDALTAANULAR&usuario=${solicitudSocio.usuario }"
							onclick="return confirm('<mtp:msg key="signupPendingList.cancelConfirmation"/>')">
								<img
								alt="<mtp:msg key="signupPendingList.cancelButtonTooltip"/>"
								src="cross.png">
						</a></td>
						<td class="cl_dataLeft"><fmt:formatDate
								value="${solicitudSocio.fechaSolicitud }" pattern="dd/MM/yyyy" /></td>
						<td class="cl_dataLeft">${solicitudSocio.usuario }<br>
							${solicitudSocio.direccion }
						</td>
						<td>
							<table class="cl_centeredTable" border="0" cellpadding="5"
								cellspacing="5">
								<tbody>
									<c:forEach var="padre" items="${solicitudSocio.padres }"
										varStatus="contadorPadre">
										<c:choose>
											<c:when test="${contadorPadre.count % 2 == 0}">
												<c:set var="estiloFilaPadres" scope="page"
													value="cl_filaPar" />
											</c:when>
											<c:otherwise>
												<c:set var="estiloFilaPadres" scope="page"
													value="cl_filaImpar" />
											</c:otherwise>
										</c:choose>
										<tr class="${estiloFilaPadres }">
											<td class="cl_dataLeft">${padre.nombre }
												${padre.apellidos} ${padre.documento } ${padre.telefonos }</td>
										</tr>
									</c:forEach>
								</tbody>
							</table>
						</td>
						<td>
							<table class="cl_centeredTable" border="0" cellpadding="5"
								cellspacing="5">
								<tbody>
									<c:forEach var="alumno" items="${solicitudSocio.alumnos }"
										varStatus="contadorAlumno">
										<c:choose>
											<c:when test="${contadorAlumno.count % 2 == 0}">
												<c:set var="estiloFilaAlumnos" scope="page"
													value="cl_filaPar" />
											</c:when>
											<c:otherwise>
												<c:set var="estiloFilaAlumnos" scope="page"
													value="cl_filaImpar" />
											</c:otherwise>
										</c:choose>
										<tr class="${estiloFilaAlumnos }">
											<td class="cl_dataLeft">${alumno.nombre }
												${alumno.apellidos} ${alumno.curso } <fmt:formatDate
													value="${alumno.fechaNacimiento }" pattern="dd/MM/yyyy" />
											</td>
										</tr>
									</c:forEach>
								</tbody>
							</table>
						</td>
					</tr>
				</c:forEach>
			</tbody>
		</table>
	</mtp:getModelInstance>
</body>
</html>