package edu.uoc.pfc.j2ee.jalonsod.ampa.presentation.models;

import java.util.Date;
import java.util.ArrayList;
import java.util.List;

import edu.uoc.pfc.j2ee.jalonsod.ampa.beans.SolicitudAlumno;
import edu.uoc.pfc.j2ee.jalonsod.ampa.beans.SolicitudPadre;
import edu.uoc.pfc.j2ee.jalonsod.ampa.beans.SolicitudSocio;
import edu.uoc.pfc.j2ee.jalonsod.ampa.business.AS.SolicitudAltaAS;

/**
 * File: SolicitudAltaModel.java
 * Created: 2012-05-25
 * 
 * Modelo de presentacin para solicitud de alta (carga del formulario y confirmacin).  
 * 
 * @author Jos Alonso de Motta
 */
public class SolicitudAltaModel {
	// Parmetros de entrada
	private String usuario;
	private String password;
	private String direccion;
	private String nombrePadre1;
	private String apellidosPadre1;
	private String documentoPadre1;
	private String emailPadre1;
	private String telefonosPadre1;
	private String nombrePadre2;
	private String apellidosPadre2;
	private String documentoPadre2;
	private String emailPadre2;
	private String telefonosPadre2;
	private String nombreAlumno1;
	private String apellidosAlumno1;
	private String cursoAlumno1;
	private Date fechaNacimientoAlumno1;
	private String nombreAlumno2;
	private String apellidosAlumno2;
	private String cursoAlumno2;
	private Date fechaNacimientoAlumno2;
	private String nombreAlumno3;
	private String apellidosAlumno3;
	private String cursoAlumno3;
	private Date fechaNacimientoAlumno3;
	private String nombreAlumno4;
	private String apellidosAlumno4;
	private String cursoAlumno4;
	private Date fechaNacimientoAlumno4;
	private String nombreAlumno5;
	private String apellidosAlumno5;
	private String cursoAlumno5;
	private Date fechaNacimientoAlumno5;
	private String nombreAlumno6;
	private String apellidosAlumno6;
	private String cursoAlumno6;
	private Date fechaNacimientoAlumno6;

	// Indicadores
	private boolean hayPadre2;
	private boolean hayAlumno2;
	private boolean hayAlumno3;
	private boolean hayAlumno4;
	private boolean hayAlumno5;
	private boolean hayAlumno6;
	
	private Exception excepcion = null;

	/**
	 * Constructor por defecto, inicializa los indicadores. 
	 */
	public SolicitudAltaModel(){
		hayPadre2 = false;
		hayAlumno2 = false;
		hayAlumno3 = false;
		hayAlumno4 = false;
		hayAlumno5 = false;
		hayAlumno6 = false;
	}
	
	/**
	 * Accin para cargar el formulario.
	 * 
	 * @return OK
	 */
	public String runForm(){
		return "OK";
	}

	/**
	 * Funcin de validacin de envo del formulario.
	 * 
	 * @return true si los datos son correctos, false en caso contrario.
	 */
	public boolean validateConfirm(){
		//  Comprobar 2 padre/madre/tutor (si hay algn campo, deben estar todos los obligatorios)
		if(nombrePadre2!=null || apellidosPadre2!=null || documentoPadre2!=null
				|| emailPadre2!=null || telefonosPadre2!= null){
			hayPadre2=true;
			if(nombrePadre2==null|| apellidosPadre2==null|| documentoPadre2==null){
				return false; // Error, no estn los datos obligatorios.
			}
		}else{
			hayPadre2=false;
		}
		// Comprobar 2, 3, 4, 5 y 6 alumnos
		if(nombreAlumno2!=null||apellidosAlumno2!=null||cursoAlumno2!=null||fechaNacimientoAlumno2!=null){
			hayAlumno2=true;
			if(nombreAlumno2==null||apellidosAlumno2==null||cursoAlumno2==null||fechaNacimientoAlumno2==null){
				return false;   // Error, no estn todos los datos obligatorios.
			}
		}else{
			hayAlumno2=false;
		}
		if(nombreAlumno3!=null||apellidosAlumno3!=null||cursoAlumno3!=null||fechaNacimientoAlumno3!=null){
			hayAlumno3=true;
			if(nombreAlumno3==null||apellidosAlumno3==null||cursoAlumno3==null||fechaNacimientoAlumno3==null){
				return false;   // Error, no estn todos los datos obligatorios.
			}
		}else{
			hayAlumno3=false;
		}
		if(nombreAlumno4!=null||apellidosAlumno4!=null||cursoAlumno4!=null||fechaNacimientoAlumno4!=null){
			hayAlumno4=true;
			if(nombreAlumno4==null||apellidosAlumno4==null||cursoAlumno4==null||fechaNacimientoAlumno4==null){
				return false;   // Error, no estn todos los datos obligatorios.
			}
		}else{
			hayAlumno4=false;
		}
		if(nombreAlumno5!=null||apellidosAlumno5!=null||cursoAlumno5!=null||fechaNacimientoAlumno5!=null){
			hayAlumno5=true;
			if(nombreAlumno5==null||apellidosAlumno5==null||cursoAlumno5==null||fechaNacimientoAlumno5==null){
				return false;   // Error, no estn todos los datos obligatorios.
			}
		}else{
			hayAlumno5=false;
		}
		if(nombreAlumno6!=null||apellidosAlumno6!=null||cursoAlumno6!=null||fechaNacimientoAlumno6!=null){
			hayAlumno6=true;
			if(nombreAlumno6==null||apellidosAlumno6==null||cursoAlumno6==null||fechaNacimientoAlumno6==null){
				return false;   // Error, no estn todos los datos obligatorios.
			}
		}else{
			hayAlumno6=false;
		}
		return true;
	}
	
	/**
	 * Accin para registrar el formulario de solicitud de alta.
	 * 
	 * @return OK si la solicitud se registra correctamente, ERROR en caso contrario.
	 */
	public String runConfirm(){
		List<SolicitudPadre> lsp = new ArrayList<SolicitudPadre>();
		List<SolicitudAlumno> lsa = new ArrayList<SolicitudAlumno>();
		lsp.add(new SolicitudPadre(usuario, nombrePadre1, apellidosPadre1, documentoPadre1, emailPadre1, telefonosPadre1));
		if(hayPadre2){
			lsp.add(new SolicitudPadre(usuario, nombrePadre2, apellidosPadre2, documentoPadre2, emailPadre2, telefonosPadre2));
		}
		lsa.add(new SolicitudAlumno(usuario, nombreAlumno1, apellidosAlumno1, cursoAlumno1, fechaNacimientoAlumno1));
		if(hayAlumno2){
			lsa.add(new SolicitudAlumno(usuario, nombreAlumno2, apellidosAlumno2, cursoAlumno2, fechaNacimientoAlumno2));
		}
		if(hayAlumno3){
			lsa.add(new SolicitudAlumno(usuario, nombreAlumno3, apellidosAlumno3, cursoAlumno3, fechaNacimientoAlumno3));
		}
		if(hayAlumno4){
			lsa.add(new SolicitudAlumno(usuario, nombreAlumno4, apellidosAlumno4, cursoAlumno4, fechaNacimientoAlumno4));
		}
		if(hayAlumno5){
			lsa.add(new SolicitudAlumno(usuario, nombreAlumno5, apellidosAlumno5, cursoAlumno5, fechaNacimientoAlumno5));
	}
		if(hayAlumno6){
			lsa.add(new SolicitudAlumno(usuario, nombreAlumno6, apellidosAlumno6, cursoAlumno6, fechaNacimientoAlumno6));
		}
		try {
			SolicitudAltaAS solicitudesSocios = new SolicitudAltaAS();
			if(solicitudesSocios.crearSolicitudSocio(new SolicitudSocio(usuario, password, direccion, lsp, lsa))){
				return UtilesModelos.RESULT_OK;
			} else {
				return UtilesModelos.RESULT_ERROR;
			}
		} catch (Exception e) {
			this.excepcion = e;
			e.printStackTrace();
			return UtilesModelos.RESULT_ERROR;
		}
	}

	// getters & setters
	public String getUsuario() {
		return usuario;
	}

	public void setUsuario(String usuario) {
		this.usuario = usuario;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public String getDireccion() {
		return direccion;
	}

	public void setDireccion(String direccion) {
		this.direccion = direccion;
	}

	public String getNombrePadre1() {
		return nombrePadre1;
	}

	public void setNombrePadre1(String nombrePadre1) {
		this.nombrePadre1 = nombrePadre1;
	}

	public String getApellidosPadre1() {
		return apellidosPadre1;
	}

	public void setApellidosPadre1(String apellidosPadre1) {
		this.apellidosPadre1 = apellidosPadre1;
	}

	public String getDocumentoPadre1() {
		return documentoPadre1;
	}

	public void setDocumentoPadre1(String documentoPadre1) {
		this.documentoPadre1 = documentoPadre1;
	}

	public String getEmailPadre1() {
		return emailPadre1;
	}

	public void setEmailPadre1(String emailPadre1) {
		this.emailPadre1 = emailPadre1;
	}

	public String getTelefonosPadre1() {
		return telefonosPadre1;
	}

	public void setTelefonosPadre1(String telefonosPadre1) {
		this.telefonosPadre1 = telefonosPadre1;
	}

	public String getNombrePadre2() {
		return nombrePadre2;
	}

	public void setNombrePadre2(String nombrePadre2) {
		this.nombrePadre2 = nombrePadre2;
	}

	public String getApellidosPadre2() {
		return apellidosPadre2;
	}

	public void setApellidosPadre2(String apellidosPadre2) {
		this.apellidosPadre2 = apellidosPadre2;
	}

	public String getDocumentoPadre2() {
		return documentoPadre2;
	}

	public void setDocumentoPadre2(String documentoPadre2) {
		this.documentoPadre2 = documentoPadre2;
	}

	public String getEmailPadre2() {
		return emailPadre2;
	}

	public void setEmailPadre2(String emailPadre2) {
		this.emailPadre2 = emailPadre2;
	}

	public String getTelefonosPadre2() {
		return telefonosPadre2;
	}

	public void setTelefonosPadre2(String telefonosPadre2) {
		this.telefonosPadre2 = telefonosPadre2;
	}

	public String getNombreAlumno1() {
		return nombreAlumno1;
	}

	public void setNombreAlumno1(String nombreAlumno1) {
		this.nombreAlumno1 = nombreAlumno1;
	}

	public String getApellidosAlumno1() {
		return apellidosAlumno1;
	}

	public void setApellidosAlumno1(String apellidosAlumno1) {
		this.apellidosAlumno1 = apellidosAlumno1;
	}

	public String getCursoAlumno1() {
		return cursoAlumno1;
	}

	public void setCursoAlumno1(String cursoAlumno1) {
		this.cursoAlumno1 = cursoAlumno1;
	}

	public Date getFechaNacimientoAlumno1() {
		return fechaNacimientoAlumno1;
	}

	public void setFechaNacimientoAlumno1(Date fechaNacimientoAlumno1) {
		this.fechaNacimientoAlumno1 = fechaNacimientoAlumno1;
	}

	public String getNombreAlumno2() {
		return nombreAlumno2;
	}

	public void setNombreAlumno2(String nombreAlumno2) {
		this.nombreAlumno2 = nombreAlumno2;
	}

	public String getApellidosAlumno2() {
		return apellidosAlumno2;
	}

	public void setApellidosAlumno2(String apellidosAlumno2) {
		this.apellidosAlumno2 = apellidosAlumno2;
	}

	public String getCursoAlumno2() {
		return cursoAlumno2;
	}

	public void setCursoAlumno2(String cursoAlumno2) {
		this.cursoAlumno2 = cursoAlumno2;
	}

	public Date getFechaNacimientoAlumno2() {
		return fechaNacimientoAlumno2;
	}

	public void setFechaNacimientoAlumno2(Date fechaNacimientoAlumno2) {
		this.fechaNacimientoAlumno2 = fechaNacimientoAlumno2;
	}

	public String getNombreAlumno3() {
		return nombreAlumno3;
	}

	public void setNombreAlumno3(String nombreAlumno3) {
		this.nombreAlumno3 = nombreAlumno3;
	}

	public String getApellidosAlumno3() {
		return apellidosAlumno3;
	}

	public void setApellidosAlumno3(String apellidosAlumno3) {
		this.apellidosAlumno3 = apellidosAlumno3;
	}

	public String getCursoAlumno3() {
		return cursoAlumno3;
	}

	public void setCursoAlumno3(String cursoAlumno3) {
		this.cursoAlumno3 = cursoAlumno3;
	}

	public Date getFechaNacimientoAlumno3() {
		return fechaNacimientoAlumno3;
	}

	public void setFechaNacimientoAlumno3(Date fechaNacimientoAlumno3) {
		this.fechaNacimientoAlumno3 = fechaNacimientoAlumno3;
	}

	public String getNombreAlumno4() {
		return nombreAlumno4;
	}

	public void setNombreAlumno4(String nombreAlumno4) {
		this.nombreAlumno4 = nombreAlumno4;
	}

	public String getApellidosAlumno4() {
		return apellidosAlumno4;
	}

	public void setApellidosAlumno4(String apellidosAlumno4) {
		this.apellidosAlumno4 = apellidosAlumno4;
	}

	public String getCursoAlumno4() {
		return cursoAlumno4;
	}

	public void setCursoAlumno4(String cursoAlumno4) {
		this.cursoAlumno4 = cursoAlumno4;
	}

	public Date getFechaNacimientoAlumno4() {
		return fechaNacimientoAlumno4;
	}

	public void setFechaNacimientoAlumno4(Date fechaNacimientoAlumno4) {
		this.fechaNacimientoAlumno4 = fechaNacimientoAlumno4;
	}

	public String getNombreAlumno5() {
		return nombreAlumno5;
	}

	public void setNombreAlumno5(String nombreAlumno5) {
		this.nombreAlumno5 = nombreAlumno5;
	}

	public String getApellidosAlumno5() {
		return apellidosAlumno5;
	}

	public void setApellidosAlumno5(String apellidosAlumno5) {
		this.apellidosAlumno5 = apellidosAlumno5;
	}

	public String getCursoAlumno5() {
		return cursoAlumno5;
	}

	public void setCursoAlumno5(String cursoAlumno5) {
		this.cursoAlumno5 = cursoAlumno5;
	}

	public Date getFechaNacimientoAlumno5() {
		return fechaNacimientoAlumno5;
	}

	public void setFechaNacimientoAlumno5(Date fechaNacimientoAlumno5) {
		this.fechaNacimientoAlumno5 = fechaNacimientoAlumno5;
	}

	public String getNombreAlumno6() {
		return nombreAlumno6;
	}

	public void setNombreAlumno6(String nombreAlumno6) {
		this.nombreAlumno6 = nombreAlumno6;
	}

	public String getApellidosAlumno6() {
		return apellidosAlumno6;
	}

	public void setApellidosAlumno6(String apellidosAlumno6) {
		this.apellidosAlumno6 = apellidosAlumno6;
	}

	public String getCursoAlumno6() {
		return cursoAlumno6;
	}

	public void setCursoAlumno6(String cursoAlumno6) {
		this.cursoAlumno6 = cursoAlumno6;
	}

	public Date getFechaNacimientoAlumno6() {
		return fechaNacimientoAlumno6;
	}

	public void setFechaNacimientoAlumno6(Date fechaNacimientoAlumno6) {
		this.fechaNacimientoAlumno6 = fechaNacimientoAlumno6;
	}

	public boolean isHayPadre2() {
		return hayPadre2;
	}

	public void setHayPadre2(boolean hayPadre2) {
		this.hayPadre2 = hayPadre2;
	}

	public boolean isHayAlumno2() {
		return hayAlumno2;
	}

	public void setHayAlumno2(boolean hayAlumno2) {
		this.hayAlumno2 = hayAlumno2;
	}

	public boolean isHayAlumno3() {
		return hayAlumno3;
	}

	public void setHayAlumno3(boolean hayAlumno3) {
		this.hayAlumno3 = hayAlumno3;
	}

	public boolean isHayAlumno4() {
		return hayAlumno4;
	}

	public void setHayAlumno4(boolean hayAlumno4) {
		this.hayAlumno4 = hayAlumno4;
	}

	public boolean isHayAlumno5() {
		return hayAlumno5;
	}

	public void setHayAlumno5(boolean hayAlumno5) {
		this.hayAlumno5 = hayAlumno5;
	}

	public boolean isHayAlumno6() {
		return hayAlumno6;
	}

	public void setHayAlumno6(boolean hayAlumno6) {
		this.hayAlumno6 = hayAlumno6;
	}

	public Exception getExcepcion() {
		return excepcion;
	}

	public void setExcepcion(Exception excepcion) {
		this.excepcion = excepcion;
	}
}
