package edu.uoc.pfc.j2ee.jalonsod.mtp.config;

/**
 * File: Result.java
 * Created: 2012-04-22
 *
 * Contains the information to handle a response value from the run method of the application model
 * object.
 * A result represents a string returned from a model which maps to a particular view.
 * 
 * @author Jos Alonso de Motta
 */
public class Result {
	private String name;
	private String nextView;
	
	public Result(String name, String nextView) throws ConfiguratorException{
		if(name==null||name.equals("")) throw new ConfiguratorException("Result element has null or empty name");
		if(nextView==null||nextView.equals("")) throw new ConfiguratorException("Result element " + name + " has null or empty nextView");
		setName(name);
		setNextView(nextView);
	}

	// getters & setters
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getNextView() {
		return nextView;
	}
	public void setNextView(String nextView) {
		this.nextView = nextView;
	}
	
	@Override
	public String toString() {
		return "Result [name=" + name
				+ ", nextView=" + nextView
				+ "]";
	}
}
