package edu.uoc.pfc.j2ee.jalonsod.mtp.config;

import edu.uoc.pfc.j2ee.jalonsod.mtp.request.StringParameterInstance;

/**
 * File: StringParameter.java
 * Created: 2012-04-22
 * 
 * The Parameter configuration metadata for datatype <code>String</code>.
 * 
 * @author Jos Alonso de Motta
 * @see StringParameterInstance
 */
public class StringParameter extends Parameter {
	private String defaultValue;
	
	/**
	 * Constructor of date parameter.
	 *  
	 * @throws ConfiguratorException Throws when received parameters are invalid
	 */
	protected StringParameter(String name, String datatype, boolean required,
			Validation validateMethod, boolean copyToModel,
			String modelAttribute, String defaultValue) throws ConfiguratorException{
		super(name, datatype, required, validateMethod, copyToModel, modelAttribute);
		if(!datatype.equalsIgnoreCase(Configurator.DATATYPE_STRING)){
			throw new ConfiguratorException("Cannot instantiate string parameter with datatype "+ datatype);
		}
		if(defaultValue!=null && !defaultValue.equals("") ){
			setDefaultValue(defaultValue);
		}else{
			setDefaultValue(null);
		}
	}
	
	// getters & setters
	@Override
	public String getDefaultValue() {
		return defaultValue;
	}
	@Override
	public void setDefaultValue(Object defaultValue) {
		setDefaultValue((String)defaultValue);
	}
	public void setDefaultValue(String defaultValue) {
		this.defaultValue = defaultValue;
	}
	@Override
	public Class<?> getDatatypeReference(){
		return String.class;
	}
}
