package edu.uoc.pfc.j2ee.jalonsod.mtp.helper;

import edu.uoc.pfc.j2ee.jalonsod.mtp.MTPException;
import edu.uoc.pfc.j2ee.jalonsod.mtp.request.RequestDataPrivate;

/**
 * File: ViewMapper.java
 * Created: 2012-04-28
 * 
 * Interface of view mapper. User supplied view mappers must implement this interface.
 * 
 * @author Jos Alonso de Motta
 */
public interface ViewMapper {
	/**
	 * Sets into the requestData the view object [setView()] and optionally the result object [setResult()].
	 * After the execution, the view and optionally the result attributes of the requestData object have been set.
	 * 
	 * @param requestData the MTP requestData of the current request.
	 * @throws MTPException throws when there is any problem setting the view and the result.
	 */
	public void setRequestView(RequestDataPrivate requestData) throws MTPException;
}
