package edu.uoc.pfc.j2ee.jalonsod.mtp.request.taglib;

import javax.servlet.jsp.JspException;
import javax.servlet.jsp.JspTagException;
import javax.servlet.jsp.tagext.TagSupport;

import edu.uoc.pfc.j2ee.jalonsod.mtp.config.Language;
import edu.uoc.pfc.j2ee.jalonsod.mtp.config.LanguageEntry;
import edu.uoc.pfc.j2ee.jalonsod.mtp.helper.ContextFactory;
import edu.uoc.pfc.j2ee.jalonsod.mtp.request.RequestData;

/**
 * File: GetMessage.java
 * Created: 2012-05-14
 * 
 * Support class for msg tag. Reads a message translated with current request language or supplied
 * language.
 * 
 * @author Jos Alonso de Motta
 */
public class GetMessage extends TagSupport {
	private static final long serialVersionUID = 1L;
	
	private String key;
	private String language = null;

	@Override
	public int doStartTag() throws JspException{
		try {
			RequestData requestData = ContextFactory.getRequestData(pageContext.getRequest());
			String message="";
			if(requestData!=null){
				if(language==null)
					message = requestData.getMessage(key);
				else{
					Language l = requestData.getLanguages().get(language);
					if(l!=null){
						LanguageEntry languageEntry = l.getLanguageEntryByKey(key);
						if(languageEntry!=null) {
							message = languageEntry.getValue();
						}
					}
				}
				pageContext.getOut().print(message);
			}
		} catch (Exception e) {
			throw new JspTagException("doStartTag: " + e.getMessage(), e);
		}
		return SKIP_BODY;
	}
	
	@Override
	public int doEndTag(){
		return EVAL_PAGE;
	}

	public String getKey() {
		return key;
	}

	public void setKey(String key) {
		this.key = key;
	}

	public String getLanguage() {
		return language;
	}

	public void setLanguage(String language) {
		this.language = language;
	}

}
