package edu.uoc.pfc.j2ee.jalonsod.mtp.request.taglib;

import javax.servlet.jsp.JspException;
import javax.servlet.jsp.JspTagException;
import javax.servlet.jsp.tagext.TagSupport;

import edu.uoc.pfc.j2ee.jalonsod.mtp.MTPUtils;

/**
 * File: GetProperty.java
 * Created: 2012-05-15
 * 
 * Support class for getProperty tag. Reads a property from a Java Bean stored in the page context.
 * 
 * @author Jos Alonso de Motta
 */
public class GetProperty extends TagSupport {
	private static final long serialVersionUID = 1L;
	
	private String attribute;
	private String property;

	@Override
	public int doStartTag() throws JspException{
		try {
			Object attributeObject = pageContext.getAttribute(attribute);
			if(attributeObject!=null){
				pageContext.getOut().print(MTPUtils.getBeanAttrib(attributeObject, property));
			}
		} catch (Exception e) {
			throw new JspTagException("doAfterBody: " + e.getMessage(), e);
		}
		return SKIP_BODY;
	}
	
	@Override
	public int doEndTag(){
		return EVAL_PAGE;
	}

	public String getAttribute() {
		return attribute;
	}

	public void setAttribute(String attribute) {
		this.attribute = attribute;
	}

	public String getProperty() {
		return property;
	}

	public void setProperty(String property) {
		this.property = property;
	}
}
