package edu.uoc.pfc.j2ee.jalonsod.mtp.request.taglib;

import java.io.IOException;
import java.util.Enumeration;

import javax.servlet.jsp.JspTagException;
import javax.servlet.jsp.PageContext;
import javax.servlet.jsp.tagext.BodyContent;
import javax.servlet.jsp.tagext.BodyTagSupport;

import edu.uoc.pfc.j2ee.jalonsod.mtp.config.Role;
import edu.uoc.pfc.j2ee.jalonsod.mtp.helper.ContextFactory;
import edu.uoc.pfc.j2ee.jalonsod.mtp.request.RequestData;

/**
 * File: GetRoles.java
 * Created: 2012-05-15
 * 
 * Support class for getRoles tag. Iterates over the roles assignted to the session. Nest
 * getProperty tag inside to read language properties.
 * 
 * @author Jos Alonso de Motta
 */
public class GetRoles extends BodyTagSupport {
	private static final long serialVersionUID = 1L;
	
	Enumeration<Role> enumerator;
	
	@Override
	public int doStartTag(){
		RequestData requestData = ContextFactory.getRequestData(pageContext.getRequest());
		if(requestData!=null){
			enumerator = requestData.getRoles().elements();
			if(enumerator.hasMoreElements()){
				pageContext.setAttribute(Constants.MTP_TAGLIB_VARIABLE_SESSION_ROLE, enumerator.nextElement(), PageContext.PAGE_SCOPE);
				return EVAL_BODY_BUFFERED;
			}else{
				pageContext.setAttribute(Constants.MTP_TAGLIB_VARIABLE_SESSION_ROLE, null, PageContext.PAGE_SCOPE);
				return SKIP_BODY;
			}
		}else{
			pageContext.setAttribute(Constants.MTP_TAGLIB_VARIABLE_SESSION_ROLE, null, PageContext.PAGE_SCOPE);
			enumerator = null;
			return SKIP_BODY;
		}
	}

	@Override
	public int doAfterBody() throws JspTagException{
		BodyContent bodyContent = getBodyContent();
		try {
			bodyContent.writeOut(getPreviousOut());
		} catch (IOException e) {
			throw new JspTagException("doAfterBody: " + e.getMessage(), e);
		}
		bodyContent.clearBody();
		if(enumerator.hasMoreElements()){
			pageContext.setAttribute(Constants.MTP_TAGLIB_VARIABLE_SESSION_ROLE, enumerator.nextElement(), PageContext.PAGE_SCOPE);
			return EVAL_BODY_AGAIN;
		}else{
			pageContext.setAttribute(Constants.MTP_TAGLIB_VARIABLE_SESSION_ROLE, null, PageContext.PAGE_SCOPE);
			return SKIP_BODY;
		}
	}
}
