package edu.uoc.pfc.j2ee.jalonsod.mtp.request.taglib;

import javax.servlet.jsp.tagext.TagSupport;

import edu.uoc.pfc.j2ee.jalonsod.mtp.helper.ContextFactory;
import edu.uoc.pfc.j2ee.jalonsod.mtp.request.RequestData;

/**
 * File: LogoutSession.java
 * Created: 2012-05-17
 * 
 * Support class for logoutSession tag. Invalidates the current session.
 * 
 * @author Jos Alonso de Motta
 */
public class LogoutSession extends TagSupport {
	private static final long serialVersionUID = 1L;
	
	@Override
	public int doStartTag() {
		RequestData requestData = ContextFactory.getRequestData(pageContext.getRequest());
		if(requestData!=null){
			requestData.logoutSession();
		}
		return SKIP_BODY;
	}
	
	@Override
	public int doEndTag(){
		return EVAL_PAGE;
	}
}
