package edu.uoc.pfc.j2ee.jalonsod.mtp.request.taglib;

import java.util.logging.Logger;

import javax.servlet.jsp.JspException;
import javax.servlet.jsp.JspTagException;
import javax.servlet.jsp.tagext.TagSupport;

import edu.uoc.pfc.j2ee.jalonsod.mtp.config.Language;
import edu.uoc.pfc.j2ee.jalonsod.mtp.helper.ContextFactory;
import edu.uoc.pfc.j2ee.jalonsod.mtp.request.RequestData;

/**
 * File: SetUserLanguage.java
 * Created: 2012-05-15
 * 
 * Support class for setUserLanguage tag. Sets the language assigned to the request session (will be
 * used in the next requests of the session).
 * 
 * @author Jos Alonso de Motta
 */
public class SetUserLanguage extends TagSupport {
	private static final long serialVersionUID = 1L;
	private final static Logger logger = Logger.getLogger(RequestData.MTP_LOGGER);
	
	private String name;

	@Override
	public int doStartTag() throws JspException{
		try {
			RequestData requestData = ContextFactory.getRequestData(pageContext.getRequest());
			if(requestData!=null){
				Language l = requestData.getLanguages().get(name);
				if(l!=null){
					requestData.setUserLanguage(l);
				}else{
					logger.warning("Error while setting session language in taglib to " + name + ". Language not found.");
				}
			}
		} catch (Exception e) {
			throw new JspTagException("doStartTag: " + e.getMessage(), e);
		}
		return SKIP_BODY;
	}
	
	@Override
	public int doEndTag(){
		return EVAL_PAGE;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
}
